Subject: RE: [Sip] I-D ACTION:draft-johnston-sip-osp-token-04.txt

From: "Kevin Summers" <[email-masked]>
Date: Fri, 14 Feb 2003 11:06:42 -0600

I think that it might be likely (actually, highly likely) that multiple
domains might "touch" a call and there could be a requirement for
multiple OSP tokens within a request. Would it make sense to include
something akin to the Authorization header's  realm string with the
token? I am thinking that it would be something that qualifies the
token.

Any comments?

-Kevin

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, February 14, 2003 6:46 AM
Cc: [email-masked]
Subject: [Sip] I-D ACTION:draft-johnston-sip-osp-token-04.txt

A New Internet-Draft is available from the on-line Internet-Drafts
directories.

	Title		: Session Initiation Protocol Private Extension
for an  
                          OSP Authorization Token
	Author(s)	: A. Johnston, D. Rawlins
	Filename	: draft-johnston-sip-osp-token-04.txt
	Pages		: 9
	Date		: 2003-2-13
	
This draft proposes a private extension to the Session Initiation 
Protocol (SIP) for carrying OSP (Open Settlements Protocol) 
authorization tokens in applications such as clearinghouses.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-johnston-sip-osp-token-04.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the
message.

Internet-Drafts are also available by anonymous FTP. Login with the
username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-johnston-sip-osp-token-04.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-johnston-sip-osp-token-04.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail
readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Henry Sinnreich <[email-masked]>
Date: Fri, 14 Feb 2003 14:02:58 -0600

> Any comments?

Kevin, 

> that multiple domains might "touch" a call and there could be
> a requirement for multiple OSP tokens within a request. Would 
> it make sense to include something akin to the Authorization 
> header's  realm string with the token?

The model for the inter-domain AAA is that only the end networks and a
possible clearing house server are aware of each call in the 'retail'
mode. There may be several transit networks, but for scalability
reasons, they are transparent. It is a matter of peering agreements
between ISPs to handle inter-ISP traffic, not matter what the
application is.

If transit networks would be aware of each call and accounting would be
required, we would be back to the PSTN model, not a desirable model for
the Internet IMHO.

Having said this, domains may chose to insert multiple tokens. But this
is not a good reason for the IETF to legitimize PSTN-like complications,
per call billing and multi-party settlement models. 

My two cents, Henry

> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Kevin Summers
> Sent: Friday, February 14, 2003 11:07 AM
> To: [email-masked]
> Subject: RE: [Sip] I-D ACTION:draft-johnston-sip-osp-token-04.txt
> 
> 
> I think that it might be likely (actually, highly likely) 
> that multiple domains might "touch" a call and there could be 
> a requirement for multiple OSP tokens within a request. Would 
> it make sense to include something akin to the Authorization 
> header's  realm string with the token? I am thinking that it 
> would be something that qualifies the token.
> 
> Any comments?
> 
> -Kevin
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> 
> 
> ietf-announce-request with the word unsubscribe in the body 
> of the message.
> 
> Internet-Drafts are also available by anonymous FTP. Login 
> with the username "anonymous" and a password of your e-mail 
> address. After logging in, type "cd internet-drafts" and then
> or 
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> 	a MIME-compliant mail reader.  Different MIME-compliant 
> mail readers
> Below is the data which will enable a MIME compliant mail 
> reader implementation to automatically retrieve the ASCII 
> version of the Internet-Draft. 
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments on the 
> application of sip
>